<!DOCTYPE html>
<html lang="en">
    <head>
        <meta charset="UTF-8">
        <title>ПВІ</title>
        <link rel="stylesheet" href="/styles.css" type="text/css"> 
        <link rel="icon" href="/images/favicon.ico" type="image/x-icon">
        <link rel="manifest" href="/manifest.json">
    </head>
    <body>
        <header>
            <div>
                <p style="margin-left: 1vw; font-family: Verdana; font-size: 3vh" >CMS</p>
            </div>
            
            <div id="notifBar" onclick="openMessagesPage()">
                <div id="notifBlink">
                    <img src="/images/newnotif2.png" width = "8vw" height = "8vw">
                </div>
                <img src="/images/notifs.png" width="32vw" height="32vw" >      
            </div>
            <div id="profileBar">
                <img src="/images/user.png" width="32vw" height="32vw" >
                <p id="profName"><b>Iryna Hnidets</b></p>
            </div>

        </header>

        <div id="sideBar">
            <div id="DashboardBar"><label style="font-size: 1.5vw">Dashboard</label></div>
            <div id="StudentsBar"><b><label style="font-size: 1.5vw">Students</label></b></div>
            <div id="TasksBar"><a href="https://pbs.twimg.com/media/F69ajTWWoAAJ7wL?format=jpg&name=large"><label style="font-size: 1.5vw">Tasks</label></a></div>
            <!--messages button maybe??-->
        </div>
        <br><br>
        
        <div id="tableSt">
            <div id="txt"><b>Students</b></div>
            <div id="addStudent">
                <button id="add"> + </button>
            </div>
            <table id="studentList">
                <thead>
                    <tr class="headRow">
                        <th width="50px">
                            <input type="checkbox">
                        </th>
                        <th>Group</th>
                        <th width="35%">Name</th>
                        <th>Gender</th>
                        <th>Birthday</th>
                        <th>Status</th>
                        <th>Options</th>
                    </tr>
                </thead>
                <tbody>
                    
                </tbody>
            </table>
            <br><br>
            <div id="pages">
                <div id="centering" style="width: 81.5%">
                    <button id="pagesOptions">&lt;</button>
                    <button id="pagesOptions">1</button>
                    <button id="pagesOptions">2</button>
                    <button id="pagesOptions">3</button>
                    <button id="pagesOptions">4</button>
                    <button id="pagesOptions">&gt;</button>
                </div>
            </div>

        </div>
        <form id="popup" class="popup" data-bs-backdrop="static" data-bs-keyboard="false" > 
            <h2 id="Add-Edit-Title"></h2>
            <span class="close" onclick="closePopup()">&times;</span>
            <div class="popup-content" id="studentForm">
                <div id="texts">
                    <label>Group: </label> <br><br>
                    <label>First name: </label> <br><br>
                    <label>Last name: </label> <br><br>
                    <label>Gender: </label> <br><br>
                    <label>Birthday: </label> <br><br>
                    <label>Password: </label> <br><br>
                </div>
                <div id="options">
                    <select name="group" id="group-select" class="addStudentISsizes">
                        <option value="?">Select Group:</option>
                        <option value="PZ-21">PZ-21</option>
                        <option value="PZ-22">PZ-22</option>
                        <option value="PZ-23">PZ-23</option>
                        <option value="PZ-24">PZ-24</option>
                        <option value="PZ-25">PZ-25</option>
                        <option value="PZ-26">PZ-26</option>
                        <option value="PZ-27">PZ-27</option>
                    </select> <br><br>
                    <input type="text" name="fname" id="inputFName" placeholder="Your first name" class="addStudentISsizes"> <br><br>
                    <input type="text" name="lname" id="inputLName" placeholder="Your last name" class="addStudentISsizes"> <br><br>
                    <select name="gender" id="gender-select" class="addStudentISsizes">
                        <option value="?">Select Gender:</option>
                        <option value="Male">Male</option>
                        <option value="Female">Female</option>
                        <option value="Other">Other</option>
                    </select> <br><br>
                    <input type="date" name="birthday" id="inputBD" value="2000-01-01" min="1950-01-01" max="2009-12-31" class="addStudentISsizes"><br><br>
                    <input type="text" id="regPasswordInput" placeholder="Your password..." class="addStudentISsizes"><br><br>
                </div>
            </div>
            <br>
            <button id="submitBtn" onclick="goToExecution(event)">Submit</button>
        </form>

        <div id="delPopup">
            <h2 style="font-size: 2vw;">Warning!</h2>
            <span class="close" onclick="closeDelPopup()">&times;</span>
            <div id="delContent">
                <p id="delWarning" style="margin-top: 3vh"> </p>
            </div>
            <button id="deleleUserBtn" style="margin-top: 1.5vh; width: auto; height: auto;">Yes</button>
            <button id="cancelUserDeletion" onclick="closeDelPopup()" style="width: auto; height: auto;">Cancel</button>
        </div>

        <div id="notifBlock">
            <div id="txt"><b>Notifications</b></div>
            <div id="notifContent">
                <img src="./images/user.png" width="30vw" height="30vh">
                <label style="margin-left: 10px">Someone wrote you a message!</label>
            </div>
        </div>

        <div id="profileBlock">
            <div id="txt"><b>Profile</b></div>
            <div id="profileContent">
                <img src="./images/user.png" width="30vw" height="30vw" style="margin-top: 2vh">
                <label id="anotherProfName" style="margin: 2.5vh 0 0 0.8vw"><b>Iryna Hnidets</b></label>
            </div>
        </div>

        <div id="messagesPage">
            <h1 onclick="closeMessagesPage()" id="txt">Messages</h1>

            <div id="chats-header">
                <h2 id="txt" style="margin-bottom: 5%;">Chat rooms</h2>
                <button id="addChat" onclick="openCreateChatPopup()">+ Add</button><br><br>
            </div>

            <div id="active-chat">
                <div id="active-chat-title">
                    <label id="title-activechat">Select a chat:</label> 
                </div>

                <div id="chat-members">
                    <label id="title-members">Members:</label> 
                    <p id="addStudentToChat"> + Add</p> 
                    <p id="removeStudentFromChat"> - Remove</p>
                </div>

                <div id="active-chat-messages">

                </div>
            </div>

            <div id="write-message">
                <input type="text" id="enter-message" placeholder="Enter your message...">
                <button id="send-message" onclick="sendMessage(event)"></button>
            </div>
        </div>
        <!-- сторінки для додавання/видаляння юзерів з чатів-->
        <div id="addStudentPage">
            <h2>Choose a student to add to the chat:</h2><br><br><br><br>
            <select id="selectStudentsToAdd"></select> <br><br>
            <button id="confirmStudentAddition">Add</button>
            <button id="declineStudentAddition">Close</button>
        </div>

        <div id="removeStudentPage">
            <h2>Choose a student to remove from the chat:</h2><br><br><br><br>
            <select id="selectStudentsToRemove"></select> <br><br>
            <button id="confirmStudentRemoval">Remove</button>
            <button id="declineStudentRemoval">Close</button>
        </div>
        
        <div id="loginPopup">
            <h2 style="font-size: 3.8vh; margin-left: 37%;    text-shadow: 2px 2px 4px #794545f6;">Authorization</h2>
            <div id="loginContent">
                <div id="texts">
                    <label style="font-size: 17px;text-shadow: 2px 2px 4px #794545f6;">Name: </label> <br><br>
                    <label style="font-size: 17px;text-shadow: 2px 2px 4px #794545f6;">Password: </label> <br><br>
                </div>
                <div id="options">
                    <input type="text" name="name" id="inputFullName" placeholder="Your full name" class="addStudentISsizes"> <br><br>
                    <input type="text" name="password" id="inputPassword" placeholder="Your password" class="addStudentISsizes"> <br><br>
                </div>
            </div>
            <button id="authorizeUser" style="margin-top: 1.5vh; width: auto; height: auto; margin-left: 73%; font-size: 26px;text-shadow: 2px 2px 4px #794545f6;background-color: rgb(232, 190, 190);">Log in</button>
        </div>

        <div id="black-bg"></div>

        <div id="chatRoomPopup">
            <div id="roomSettings">
                <h2 id="txt" style="margin-top: 2%">Create a new chat room:</h2> <br><br><br>
                <label for="chatCreateName" style="margin-left: 25%;">Name:</label> <input type="text" id="chatCreateName"><br><br>
                <label for="selectStudentsToNewChat" style="margin-left: 25%;">Add students:</label> <select id="selectStudentsToNewChat"></select><br><br>
                <button id="addStudentToNewChat">Add</button><br><br><br>
                <button id="createNewChat">Create</button>
                <button id="closeCreateChatPopup">Close</button>
            </div>
            <div id="addedStudents">
                <h2 id="txt" style="margin-top: 2%">You added:</h2> <br><br><br>
            </div>
        </div>

        <script src="./node_modules/socket.io/client-dist/socket.io.js"></script>
        <script src="site.js"></script>
    </body>
</html>
